# osgTerrain Namespace Reference

The osgTerrain is a utility library that provides geospecifc terrain database generation support. More...

## Classes

class | DataSet
class | HeightFieldNode
| Terrain provides a framework for loosly coupling height field data with height rendering algorithms. More...
class | HeightFieldRenderer

## Detailed Description

The osgTerrain is a utility library that provides geospecifc terrain database generation support.

The osgTerrain library is typically invoked by the osgdem utlitly application that users can use to build paged terrain databases from geospecific imagery and digial elevation maps (DEM's). osgTerrain may also be used directly in your own applications to generate databases. Note, osgTerrain is not presently written for run-time rendering of terrain, and is just focused on database generation, these generated databases then can used used in standard OpenSceneGraph application which do not need to link osgTerrain..